Bug 1540501 - Octavia client is not installed after OSP13 deployment
Summary: Octavia client is not installed after OSP13 deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Carlos Goncalves
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 09:02 UTC by Alexander Stafeyev
Modified: 2019-09-10 14:12 UTC (History)
5 users (show)

Fixed In Version: puppet-octavia-12.3.1-0.20180221121608.ebe409c.el7ost instack-undercloud-8.2.1-0.20180228034814.945b1d0.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:43:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 542268 None master: MERGED puppet-octavia: Define octavia client package for Red Hat family (Ide01e285bf89e39839f5c6319c2810bad206c114) 2018-02-28 13:52:17 UTC
OpenStack gerrit 542482 None master: ABANDONED puppet-tripleo: octavia: include client (Iee4f8356a57a4763ac1531b9868e4135beec1513) 2018-02-28 13:52:10 UTC
OpenStack gerrit 543567 None master: MERGED instack-undercloud: Add option to install the Octavia client (I2b27dac2f30a126e6519d19cc135ea6eea59e8a9) 2018-02-28 13:52:03 UTC
OpenStack gerrit 543568 None master: ABANDONED tripleo-puppet-elements: Add octavia client to the overcloud image (Ief52710088e991d20dfdce772da6b03e18e2484c) 2018-02-28 13:51:56 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:44:12 UTC

Comment 2 Carlos Goncalves 2018-02-08 10:28:39 UTC
Support for EL7 needs to be added in https://github.com/openstack/puppet-octavia/blob/master/spec/classes/octavia_client_spec.rb#L30

Comment 3 Carlos Goncalves 2018-02-08 11:10:02 UTC
Comment 2 does not actually address what is being requested. puppet's spec/classes directory is meant for class tests. Fixing there is nevertheless needed as octavia client is now supported in Red Hat family.

All OpenStack puppets I have seen do not explicitly install their respective clients, except for puppet-barbican that includes the client in its api service (https://github.com/openstack/puppet-barbican/blob/master/manifests/api.pp#L334).

Comment 5 Carlos Goncalves 2018-02-08 15:45:47 UTC
The client package name is not being defined for Red Hat family: https://review.openstack.org/#/c/542268/

Comment 6 Carlos Goncalves 2018-02-08 23:23:18 UTC
puppet-tripleo also needs patching: https://review.openstack.org/#/c/542482/

Comment 8 Carlos Goncalves 2018-02-19 10:34:55 UTC
Other OpenStack services clients are being installed as dependencies of Heat. Octavia support in Heat was included upstream during Queens development cycle [1].

Recently RDO caught up with requirements for Queens and added python-octaviaclient as requirement of heat package [2]. This means the Octavia client will be installed in the undercloud and overcloud regardless.

Alex, could you please confirm on next promotion?


[1] https://review.openstack.org/#/q/topic:bug/1737567+(status:open+OR+status:merged)
[2] https://github.com/rdo-packages/heat-distgit/commit/1390505f29c1a99a9d3b2dfc3c2d0d18e54fba51#diff-21b9b50910dda0b17497b6f0f25fe932R278

Comment 13 errata-xmlrpc 2018-06-27 13:43:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.